# kparts Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KParts::WindowArgs Struct Reference

The WindowArgs are used to specify arguments to the "create new window" call (see the createNewWindow variant that uses WindowArgs). More...

`#include <browserextension.h>`

List of all members.

## Public Member Functions

| WindowArgs (const WindowArgs &args)
WindowArgs & | operator= (const WindowArgs &args)
| WindowArgs (const QRect &_geometry, bool _fullscreen, bool _menuBarVisible, bool _toolBarsVisible, bool _statusBarVisible, bool _resizable)
| WindowArgs (int _x, int _y, int _width, int _height, bool _fullscreen, bool _menuBarVisible, bool _toolBarsVisible, bool _statusBarVisible, bool _resizable)

## Public Attributes

int | x
int | y
int | width
int | height
bool | fullscreen
bool | menuBarVisible
bool | toolBarsVisible
bool | statusBarVisible
bool | resizable
bool | lowerWindow
WindowArgsPrivate * | d

## Detailed Description

The WindowArgs are used to specify arguments to the "create new window" call (see the createNewWindow variant that uses WindowArgs).

The primary reason for this is the javascript window.open function.

Definition at line 165 of file browserextension.h.

The documentation for this struct was generated from the following files:

- browserextension.h
- browserextension.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:26:51 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001